Subject: bug#57789: Emacs 28.1 clone build with native compilation crashes on s390x

From: Paul Eggert <[email-masked]>
Date: Thu, 15 Sep 2022 09:51:54 -0500

On 9/15/22 02:10, Eli Zaretskii wrote:
>> Of course that's not remotely conclusive, but if all of the C code
>> wasn't written with strict-aliasing in mind, then I wondered if it might
>> make sense to consider adding -fno-strict-aliasing as a default option.
> I don't know enough about this.  Perhaps Andrea or Paul could comment.
>
Throwing -fno-strict-aliasing in the mix is a bit like throwing -O1 into 
the mix. I'm not surprised it would cause a Heisenbug to vanish; it 
doesn't mean strict aliasing is the problem.

Emacs should work with strict aliasing. At least, that's true in the 
default build. I suppose it could be possible there's a strict aliasing 
bug in the native compiler - I'm not that familiar with that code.